Jump to content
Sign in to follow this  
Pektsekye

Autoinstaller script support

Recommended Posts

This is a support thread for all the contributions that have the Autoinstaller script

 

Some of them are:

http://addons.oscommerce.com/info/2900 - FCKeditor for Product Descriptions

http://addons.oscommerce.com/info/2823 - Ultimate SEO URLs

http://addons.oscommerce.com/info/1242 - Quantity Price Breaks Per Product

http://addons.oscommerce.com/info/6740 - Autoinstaller for - One Page Checkout

 

Most common problems:

 

problem 1:

 

Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /home/perfe69/public_html/mp_autoinstaller/autoinstaller.php on line 9

 

my reply:

 

The autoinstaller is for php5 only.

 

problem 2:

 

I clicked install. It came back and said that it had worked ok. I then opened another tab and went to my home page so that I could check that all was fine and I have encountered the following error message:

 

Internal Server Error

 

my reply:

 

For SEO URLs contribution:

 

1) if you cannot access both the site and the autoinstaller directory it is the .htaccess problem.

 

Solution:

Restore manually the '.htaccess' file from the 'su_autoinstaller/backup' directory to your site root. It has '_htaccess' backup filename.

 

2) if you cannot access the site but still can access the autoinstaller directory (refresh the page to be sure) it is the files and folders permissions problem.

 

Explanation:

Some servers (and mine hostgator also) require that all the .php files have 644 permissions and all the directories - 755.

The autoinstaller script does not change any files/folders permissions. So it can happen only if you change them manually.

 

Solution:

If you have changed any file or directory permissions during the installation you should change them back to 644 for the files and 755 for the directories.

 

To find out what files was modified go to the su_autoinstaller/backup directory.

 

For all the other contributions:

 

Solution:

The solution is the same as for "For SEO URLs contribution" point 2

 

problem 3:

 

I have uploaded the autoinstaller folder to my site root ... but when I point my web browser to the autoinstaller directory nothing happenes...

 

my reply:

I don't know why this happens for now.

Download the normal package for manual installation and install the contribution manually.

 

 

Some people are trying to use their site even if few pages do not work and they don't want to click the "Uninstall" button.

There are some suggestions for them:

 

Solution 1:

Restore manually the file that doesn't work from the autoinstaller/backup/ directory

then download the package with instructions for manual installation and edit the problem file manually

 

Solution 2:

Click the "Uninstall" button

then delete (save to your PC) all the backup files from the autoinstaller/backup/ directory

then delete the problem steps from the install.xml

then click the "Install" button again

then download the package with instructions for manual installation and do the problem steps manually

 

Some people ask if there is a way of manual installation of the package that doesn't have manual installation instructions but have an autoinstaller

 

my reply:

Open the install.xml there are instructions for manual installation

between the <manual_from>...</manual_from><manual_to>...</manual_to> tags

Share this post


Link to post
Share on other sites

Some people say:

I checked my server control panel and it said PHP5 is enabled.

 

My reply:

 

Create a simple php5 class:

 

<?php

class SimpleClass

{

// member declaration

public $var = 'a default value';

 

// method declaration

public function displayVar() {

echo $this->var;

}

}

?>

 

 

 

And show that it doesn't work to your hosting support.

 

 

This class can be found in the official php manual for php5:

http://php.net/manual/en/language.oop5.basic.php

 

 

Stanislav

Share this post


Link to post
Share on other sites
where would i place this php code on my server?

 

You don't need to place it on your server.

 

You should sent it to your hosting support. As example of PHP5 code that wont work.

 

 

Stanislav

Share this post


Link to post
Share on other sites

Hi

 

I am trying to use the PWA Autoinstaller and I get the following message:

 

Cannot create backup file 'includes_languages_english_create_account_php' in the 'autoinstaller/backup' directory. Try to change the backup directory permissions and click the "Retry" button.

 

I'm not sure how to find/change the backup directory permissions on my site.

 

If anyone can herp that would be great!

 

Matt

Share this post


Link to post
Share on other sites
Hi

 

I am trying to use the PWA Autoinstaller and I get the following message:

 

Cannot create backup file 'includes_languages_english_create_account_php' in the 'autoinstaller/backup' directory. Try to change the backup directory permissions and click the "Retry" button.

 

I'm not sure how to find/change the backup directory permissions on my site.

 

If anyone can herp that would be great!

 

Matt

 

Hello,

 

You can change the "pwa_autoinstaller / backup" directory permissions with your ftp program.

 

You can also do it with cPanel -> File Manager

 

The permissions should be set to 777

 

 

Stanislav

Share this post


Link to post
Share on other sites

I have updated the Autoinstaller script to show you all the files and the directories that should have 777 permissions for installation.

 

So it become easier to set permissions with version 2.13

 

I have also added code to show "The autoinstaller script requires PHP5." message instead of error.

 

 

Stanislav

Share this post


Link to post
Share on other sites
Hello, I have a question about the auto installer you wrote for the quantity price breaks contribution. I have already made some changes to the product_info.php and application_top.php files. Will my changes be overwritten by the auto installer or does it just add the necessary changes to my existing files?

 

Also, does it matter that I have installed my catalog in the root directory rather than in the /catalog/ directory?

 

Thank you so much for any help!

 

 

The autoinstaller uses regular expressions to replace the smallest possible parts of code.

I will create a backup in the dc_autoinstaller/backup directory.

So you will be able to click the "uninstall" buttton at the end of the installation and return your site back as it was.

 

It doesn't matter in what directory the store was installed.

 

Use the latest version of the autoinstaller.

 

 

Stanislav

Share this post


Link to post
Share on other sites

Multiple contribution installation with the Autoinstaller script:

 

1. Remember the order

 

The contributions with Autoinstaller should be uninstalled in reverse order:

 

installation:

1. aaa contribution with Autoinstaller

2. bbb contribution with Autoinstaller

3. ccc contribution with Autoinstaller

 

correct uninstallation order:

1. ccc contribution with Autoinstaller

2. bbb contribution with Autoinstaller

3. aaa contribution with Autoinstaller

 

wrong uninstallation order:

1. aaa contribution with Autoinstaller

2. bbb contribution with Autoinstaller

3. ccc contribution with Autoinstaller

 

 

2. Contribution with Autoinstaller should be installed at the end

 

To be able to uninstall them.

 

correct installation order:

1. aaa contribution for manual installation

2. bbb contribution for manual installation

3. ccc contribution with Autoinstaller

 

wrong installation order:

1. ccc contribution with Autoinstaller

2. aaa contribution for manual installation

3. bbb contribution for manual installation

 

 

3. Complex contribution with Autoinstaller should be installed at the end

 

You have a good chance to get all the simple contributions installed before the complex one. But not vice-versa.

 

correct installation order:

1. aaa simple contribution with Autoinstaller

2. bbb medium contribution with Autoinstaller

3. ccc complex contribution with Autoinstaller

 

wrong installation order:

1. ccc complex contribution with Autoinstaller

2. bbb medium contribution with Autoinstaller

3. aaa simple contribution with Autoinstaller

Edited by Pektsekye

Share this post


Link to post
Share on other sites
Does the auto-installer work with a modified store or only a fresh install of OsCommerce? Thanks.

 

Yes. All the autoinstallers are for modified stores.

The only exception is the autoinstaller for SPPC contribution.

 

Stanislav

Share this post


Link to post
Share on other sites
Sorry, i am not good at Web design, this is my first website... :(

Do i have to delete that file?

 

You should remove (save a copy on your computer) the autoinstaller directory with all the files in it at the end of the installation.

It is not secure to leave it on your site for long time.

 

If you have changed any file or directory permissions during the installation you should change them back to 644 for the files and 755 for the directories.

Except the directories that requires writing permissions like - cache, tmp, images, upload

 

Stanislav

Share this post


Link to post
Share on other sites
When I start the /osc/catalog/pb_autoinstaller I'm getting

the following text on my firefox-browser:

 

Notice: Use of undefined constant LIBXML_NOCDATA - assumed 
'LIBXML_NOCDATA' in 
/srv/www/******/osc/catalog/pb_autoinstaller/autoinstaller.php 
on line 28
Warning: simplexml_load_file() expects at most 2 parameters, 3 given in 
/srv/www/******/osc/catalog/pb_autoinstaller/autoinstaller.php 
on line 28
Notice: Use of undefined constant LIBXML_NOCDATA - assumed 
'LIBXML_NOCDATA' in 
/srv/www/******/osc/catalog/pb_autoinstaller/autoinstaller.php 
on line 29
Warning: simplexml_load_file() expects at most 2 parameters, 3 given in 
/srv/www/******/osc/catalog/pb_autoinstaller/autoinstaller.php 
on line 29
Warning: Invalid argument supplied for foreach() in 
/srv/www/******/osc/catalog/pb_autoinstaller/autoinstaller.php 
on line 52
Notice: Trying to get property of non-object in 
/srv/www/******/osc/catalog/pb_autoinstaller/index.php on line 43
Notice: Trying to get property of non-object in 
/srv/www/******/osc/catalog/pb_autoinstaller/index.php on line 46

Notice: Undefined property: stdClass::$before_installation_message in 
/srv/www/******/osc/catalog/pb_autoinstaller/index.php on line 128

 

and the "Install" Button.

 

Is this correct or have I made an mistake?

 

You have PHP5 version older than required:

Since PHP 5.1.0 and Libxml 2.6.0

 

You have to use the package for manual installation (without

autoinstaller)

 

 

Stanislav

Share this post


Link to post
Share on other sites
Parse error: syntax error, unexpected '.', expecting '(' in /*********/autoinstaller/index.php on line 69

 

 

The autoinstaller is for PHP 5.2.0 only

 

Stanislav

Share this post


Link to post
Share on other sites
So I assumed (wrongly, but understandably) that I was running 5.2, I

would hit the error "The autoinstaller script requires PHP 5.2.0".

I changed the syntax a little bit:

 

<?php
$thisfile = $aut->catalog_dir; //AutoInstaller::catalog_dir;
$thisfile = $thisfile . $aut->unxml->result->filetoopen;
echo htmlspecialchars(file_get_contents($thisfile));
?>

 

Then I ran index.php and I got the "Must Use 5.2" error.

 

See, why is that check there - if it can't run syntactically anyway in 5.2?

 

Is there a way you can mod your

script to allow something less then 5.2?

 

Hello,

 

The syntax is checked before running the script.

It is why you get syntax error and the script is never executed to show

you the "Must Use PHP 5.2" error.

 

 

I cannot modify the script to make it work on PHP4

 

 

Stanislav

Share this post


Link to post
Share on other sites

Hello,

 

When I try to run the installer it says:

 

Warning: domdocument::domdocument() [domdocument.domdocument]: Entity: line 1: parser error : Start tag expected, '<' not found in C:\xampp\htdocs\omat\verkkokauppa\oscommerce-2.2rc2a\catalog\pwa_autoinstaller\autoinstaller.php on line 22

Warning: domdocument::domdocument() [domdocument.domdocument]: 1.0 in C:\xampp\htdocs\omat\verkkokauppa\oscommerce-2.2rc2a\catalog\pwa_autoinstaller\autoinstaller.php on line 22

Warning: domdocument::domdocument() [domdocument.domdocument]: ^ in C:\xampp\htdocs\omat\verkkokauppa\oscommerce-2.2rc2a\catalog\pwa_autoinstaller\autoinstaller.php on line 22

Fatal error: Call to undefined method domdocument::load() in C:\xampp\htdocs\omat\verkkokauppa\oscommerce-2.2rc2a\catalog\pwa_autoinstaller\autoinstaller.php on line 24

 

My Php version is 5.2.6

 

What could be wrong?

 

Thanks,

 

Jarno

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×